CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

AutoCAD 2023 开发者帮助

AngleFormat 属性 (ActiveX)

2024-5-18 18:56| 发布者: admin| 查看: 87| 评论: 0|原作者: admin|来自: AutoCAD

AngleFormat 属性 (ActiveX)

指定角度尺寸的单位格式。

支持的平台:仅限 Windows

签名

VBA:

object.AngleFormat
对象

类型:Dim3PointAngularDimAngular

此属性应用于的对象。

属性值

只读:

类型:枚举acAngleUnits

  • acDegrees
  • acDegreeMinuteSeconds
  • acGrads
  • acRadians

言论

此属性的初始值为 。acDegrees

注意:此属性将覆盖给定尺寸的 DIMAUNIT 系统变量的值。

例子

VBA:

Sub Example_AngleFormat()
    ' This example creates a Dim3PointAngular object in model space
    ' and sets its Angle Format to some common values
    
    Dim DimPointAngularObj As AcadDim3PointAngular
    Dim AngleVertex(0 To 2) As Double
    Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double
    Dim TextPoint(0 To 2) As Double
    
    ' Define the new Dim3PointAngular object
    AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0
    FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0
    SecondPoint(0) = 1: SecondPoint(1) = 4: SecondPoint(2) = 0
    TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0

    ' Create the new Dim3PointAngular object in model space
    Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint)
    ThisDrawing.Application.ZoomAll

    ' Cycle through some common angle formats
    
    DimPointAngularObj.AngleFormat = acDegreeMinuteSeconds
    ThisDrawing.Regen acAllViewports
    MsgBox "The angle format of the new Dim3PointAngular object is now set to degree/minute/second"
    
    DimPointAngularObj.AngleFormat = acGrads
    ThisDrawing.Regen acAllViewports
    MsgBox "The angle format of the new Dim3PointAngular object is now set to grads"

    DimPointAngularObj.AngleFormat = acRadians
    ThisDrawing.Regen acAllViewports
    MsgBox "The angle format of the new Dim3PointAngular object is now set to radians"

End Sub

可视化 LISP:

(vl-load-com)
(defun c:Example_AngleFormat()
    ;; This example creates a Dim3PointAngular object in model space
    ;; and sets its Angle Format to some common values
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; Define the new Dim3PointAngular object
    (setq AngleVertex (vlax-3d-point 0 0 0)
          FirstPoint (vlax-3d-point 2 2 0)
          SecondPoint (vlax-3d-point 1 4 0)
          TextPoint (vlax-3d-point 6 6 0))

    ;; Create the new Dim3PointAngular object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq DimPointAngularObj (vla-AddDim3PointAngular modelSpace AngleVertex FirstPoint SecondPoint TextPoint))
    (vla-ZoomAll acadObj)

    ;; Cycle through some common angle formats
    
    (vla-put-AngleFormat DimPointAngularObj acDegreeMinuteSeconds)
    (vla-Regen doc acAllViewports)
    (alert "The angle format of the new Dim3PointAngular object is now set to degree/minute/second.")
    
    (vla-put-AngleFormat DimPointAngularObj acGrads)
    (vla-Regen doc acAllViewports)
    (alert "The angle format of the new Dim3PointAngular object is now set to grads.")

    (vla-put-AngleFormat DimPointAngularObj acRadians)
    (vla-Regen doc acAllViewports)
    (alert "The angle format of the new Dim3PointAngular object is now set to radians.")
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1   苏公网安备32011402011833)

GMT+8, 2024-12-15 22:15

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部